19.04.2014, 18:48 UhrDeutsch | English
Hallo Gast [ Registrierung | Anmelden ]

Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
Autor Nachricht
nish
Titel: nVidia install after dist-upgrade  BeitragVerfasst am: 08.06.2006, 12:27 Uhr



Anmeldung: 18. Apr 2004
Beiträge: 222

I run Kanotix 2005-4 on a separate partition, use my very old, frozen in time but stable kanotix as my everyday.

After ignoring my 2005-4 install for a couple of months, had a few reads in the forum and decided to attempt dist-upgrade. Went surpisingly well, I did lose nvidia (had to switch back to nv in xorg-conf). Tried a reinstall of nvidia using the install-nvidia-debian script but it failed with a message about missing speedo and that I had a different version glx module from what I was trying to install. Upgraded the kernel, might as well as long as I am partially broken - also updated scripts but still no joy reinstalling nvidia. Same error about wrong version glx module and speedo.

Could someone bring me up to speed on this or point me to a relevant thread? I am not seeing anything specific to reinstall in this case on the forum. Otherwise, the upgrade does seem to have gone off pretty well.

Thanks
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
devil
Titel: nVidia install after dist-upgrade  BeitragVerfasst am: 08.06.2006, 19:15 Uhr
Team Member
Team Member


Anmeldung: 06. Mai 2005
Beiträge: 3087
Wohnort: berlin
nish,
you need a fix for xorg 7 first:
wget -Nc http://kanotix.com/files/fix-xorg7.sh and run it, then nvidia should run through.

greetz
devil

_________________
<<We are Xorg - resistance is futile - you will be axximilated>>

Host/Kernel/OS "devilsbox" running[2.6.19-rc1-git5-kanotix-1KANOTIX-2006-01-RC4 ]
CPU Info AMD Athlon 64 3000+ clocked at [ 803.744 MHz ]
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
nish
Titel:   BeitragVerfasst am: 08.06.2006, 23:39 Uhr



Anmeldung: 18. Apr 2004
Beiträge: 222

Thank you so much for a prompt reply. I waded through a good bit last night and this morning but couldn't figure what they did refer to a few times whether it was script or package.

May bother you again trying to create sym link to the font folders which I think I will need too. When I was more into playing around with the guts of my linux daily I followed much better!

Thanks again!
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
nish
9 Titel:   BeitragVerfasst am: 09.06.2006, 00:08 Uhr



Anmeldung: 18. Apr 2004
Beiträge: 222

Afraid I spoke too soon. Ran the fix-xorg7 script and it seemed to go well (saw it does fix-fonts, too!). Then ran install-nvidia-debian. It failed straight off. Message in the log:

nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Thu Jun 8 18:58:00 2006

option status:
license pre-accepted : true
update : false
force update : false
expert : false
uninstall : false
driver info : false
no precompiled interface: false
no ncurses color : false
query latest driver ver : false
OpenGL header files : true
no questions : true
silent : true
no backup : false
kernel module only : false
sanity : false
add this kernel : false
no runlevel check : false
no network : true
no ABI note : false
no RPMs : false
force tls : (not specified)
force compat32 tls : (not specified)
X install prefix : /usr/X11R6
OpenGL install prefix : /usr
compat32 install prefix : (not specified)
installer install prefix: /usr
utility install prefix : /usr
kernel name : (not specified)
kernel include path : (not specified)
kernel source path : (not specified)
kernel output path : (not specified)
kernel install path : (not specified)
proc mount point : /proc
ui : none
tmpdir : /tmp
ftp mirror : ftp://download.nvidia.com
RPM file list : (not specified)

Using built-in stream user interface
-> License accepted by command line option.
-> No precompiled kernel interface was found to match your kernel; this means
that the installer will need to compile a new kernel interface.
-> Performing CC test with CC="cc".
-> gcc-version-check failed:


The compiler used to compile the kernel (gcc 4.0) does not exactly match the
current compiler (gcc 4.1). The Linux 2.6 kernel module loader rejects kern
el modules built with a version of gcc that does not exactly match that of t
he compiler used to build the running kernel.

If you know what you are doing and want to ignore the gcc version check, sel
ect "No" to continue installation. Otherwise, select "Yes" to abort install
ation, set the CC environment variable to the name of the compiler used to c
ompile your kernel, and restart installation. Abort now? (Answer: Yes)
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.

Doesn't mean much to me. Am I hosed? The only other thing that broke in the upgrade was cups. Haven't looked at that yet but maybe it was too much. Suggestions welcomed. Even if it means having to chuck it all and install the preview or something. There is nothing to save on this install. I tried it out while debian was going through upgrade throes thinking I would return to it and make it main squeeze when the dust settled but it looks like it hasn't gotten any better.

Long live my bughunter? I can't upgrade it but it keeps going and going Winken
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
devil
Titel:   BeitragVerfasst am: 09.06.2006, 06:26 Uhr
Team Member
Team Member


Anmeldung: 06. Mai 2005
Beiträge: 3087
Wohnort: berlin
nish,
are you sure, your dist-upgrade went through all the way? i doubt it.
do: apt-get dist-upgrade -s and see, what the package status is, how many packages does it want to upgrade?


greetz
devil

_________________
<<We are Xorg - resistance is futile - you will be axximilated>>

Host/Kernel/OS "devilsbox" running[2.6.19-rc1-git5-kanotix-1KANOTIX-2006-01-RC4 ]
CPU Info AMD Athlon 64 3000+ clocked at [ 803.744 MHz ]
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
nish
Titel:   BeitragVerfasst am: 09.06.2006, 12:10 Uhr



Anmeldung: 18. Apr 2004
Beiträge: 222

You are right of course, Devil. I tried dist-upgrade again last night before your post and more pkgs installed. I probably hosed this all myself by using -f on the first round.

After completing last night, reran fix-xorg7 again and errored on the font folder link (which I think is normal). Reran nvidia but that still fails immediately.

This morning
# apt-get apt-get dist-upgrade -s
E: Invalid operation apt-get
root@aja:/home/nish# apt-get dist-upgrade -s
Reading package lists... Done
Building dependency tree... Done
Calculating upgrade... Done
The following packages will be upgraded:
dpkg-multicd
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Inst dpkg-multicd [0.19] (0.20 Debian:unstable)
Conf dpkg-multicd (0.20 Debian:unstable)

then
apt-get dist-upgrade
Reading package lists... Done
Building dependency tree... Done
Calculating upgrade... Done
The following packages will be upgraded:
dpkg-multicd
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/21.4kB of archives.
After unpacking 8192B disk space will be freed.
Do you want to continue [Y/n]? y
Reading package fields... Done
Reading package status... Done
Retrieving bug reports... Done
(Reading database ... 175069 files and directories currently installed.)
Preparing to replace dpkg-multicd 0.19 (using .../dpkg-multicd_0.20_all.deb) ...
Unpacking replacement dpkg-multicd ...
dpkg: error processing /var/cache/apt/archives/dpkg-multicd_0.20_all.deb (--unpack):
trying to overwrite `/usr/share/man/man1/dpkg-scanpackages.1.gz', which is also in package dpkg-dev
Errors were encountered while processing:
/var/cache/apt/archives/dpkg-multicd_0.20_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

which I don't think has anything to do with my nvidia/x problem. I know how to get past that sort of thing but don't believe it is worth it.

Fresh install in order? Should I go with the easter preview? Please let me know what I should know about a dist-upgrade on that if I shouldn't or if I need to put anything on hold for first. Thank you so much for trying to help me, I think I pretty much screwed this up a lot
Verlegen
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
devil
Titel:   BeitragVerfasst am: 09.06.2006, 12:30 Uhr
Team Member
Team Member


Anmeldung: 06. Mai 2005
Beiträge: 3087
Wohnort: berlin
nish,
for the multicd, do: dpkg --purge dpkg-multicd.
then apt should be without errors again.
then: update-scripts-kanotix.sh
and in init 3:
install-nvidia-debian.sh
should work now
if not, give us what it says as error.

greetz
devil

_________________
<<We are Xorg - resistance is futile - you will be axximilated>>

Host/Kernel/OS "devilsbox" running[2.6.19-rc1-git5-kanotix-1KANOTIX-2006-01-RC4 ]
CPU Info AMD Athlon 64 3000+ clocked at [ 803.744 MHz ]
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
nish
Titel:   BeitragVerfasst am: 12.06.2006, 05:03 Uhr



Anmeldung: 18. Apr 2004
Beiträge: 222

I am sorry, Devil. But nvidia script still fails. The log for this latest failure is pretty big, many errors compiling and I would hesitate to paste it all in here. I believe a summary is it is failing to build the module. A lot about no link to the kernel? ARNING: Symbol version dump /usr/src/linux-2.6.16.16-kanotix-1/Module.sym
vers
is missing; modules will have no dependencies and modversions.

That I believe is since last desperation I installed the vanilla kernel headers trying to get nvidia's own installer to work.

Think it is pretty much hopeless now, no? I remember Kano did have something for us who were so foolish as to the kernel headers in the newer version but it escapes me now.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
devil
Titel:   BeitragVerfasst am: 12.06.2006, 06:49 Uhr
Team Member
Team Member


Anmeldung: 06. Mai 2005
Beiträge: 3087
Wohnort: berlin
nish,
make-kernel-links
might help.
then try to install a newer kernel, like 2.6.16.20-slh-up-1.

greetz
devil

_________________
<<We are Xorg - resistance is futile - you will be axximilated>>

Host/Kernel/OS "devilsbox" running[2.6.19-rc1-git5-kanotix-1KANOTIX-2006-01-RC4 ]
CPU Info AMD Athlon 64 3000+ clocked at [ 803.744 MHz ]
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
h2
Titel:   BeitragVerfasst am: 12.06.2006, 06:59 Uhr



Anmeldung: 12. Mar 2005
Beiträge: 1005

and make sure that your dist-upgrade actually finished, and installed the new gcc: apt-cache policy gcc

should show this, or close:

Installed: 4:4.1.1-1
Candidate: 4:4.1.1-1
Version table:
*** 4:4.1.1-1 0
500 http://ftp.debian.org unstable/main Packages
100 /var/lib/dpkg/status
4:4.0.3-4 0
200 http://ftp.debian.org testing/main Packages

double check that first. Also make sure to update-scripts-kanotix.sh

_________________
Read more on dist-upgrades using du-fixes-h2.sh script.
New: rdiff-backup script
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
nish
Titel:   BeitragVerfasst am: 13.06.2006, 01:26 Uhr



Anmeldung: 18. Apr 2004
Beiträge: 222

Devil, thank you. The make links script worked to get nvidia to install...but (there is always a but Smilie

summoning glxgears gets me gears in slooooooooooomo. No frame rate is even registering.

The nivida install seemed to go OK except for some ugly little errors at start about Reiser FS (what does the file system have to do with video?)

anyway, so here I am with graphic accleration going super slooooooooooomo.

I do remember reading at some point in the debian forums that the latest nvidia drivers do not support the latest xorg but were supposed to soon.

So at this point should I go with a fresh install of 2005-4 or easter preview and try not to screw it up? This is not a main install. My old bughunter or whatever it is still chugs merrily along. I had left this new kanotix on a spare partition for whatever time it took until sid was stabler.

Imagine I should wait some more Mit den Augen rollen
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
nish
Titel:   BeitragVerfasst am: 13.06.2006, 01:29 Uhr



Anmeldung: 18. Apr 2004
Beiträge: 222

oh, and h2,
gcc:
Installed: 4:4.1.1-1
Candidate: 4:4.1.1-1
Version table:
*** 4:4.1.1-1 0
500 http://ftp.us.debian.org unstable/main Packages
100 /var/lib/dpkg/status
4:4.0.3-4 0
200 http://ftp.us.debian.org testing/main Packages

I am all up to date in that dept. And am updating scripts daily also. I fear I did something unspeakable to this install dist-upgrading. But I found it so encouraging that it would boot! I hate to admit defeat.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
devil
Titel:   BeitragVerfasst am: 13.06.2006, 05:52 Uhr
Team Member
Team Member


Anmeldung: 06. Mai 2005
Beiträge: 3087
Wohnort: berlin
nish,
glxgears dont work anymor as it used to since xorg 7 came out. try this way:
glxgears -iacknowledgethatthistoolisnotabenchmark
if you still want to do fresh install, get easter preview RC4 and install that.

greetz
devil

_________________
<<We are Xorg - resistance is futile - you will be axximilated>>

Host/Kernel/OS "devilsbox" running[2.6.19-rc1-git5-kanotix-1KANOTIX-2006-01-RC4 ]
CPU Info AMD Athlon 64 3000+ clocked at [ 803.744 MHz ]
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
nish
Titel:   BeitragVerfasst am: 14.06.2006, 02:53 Uhr



Anmeldung: 18. Apr 2004
Beiträge: 222

aww, Devil, why I would run glxgears with such an option I don't know! Gears themselves were still sloooooooomooooooooo though frame rates did register.

Had to do the only real test. Tux racer (gosh I love that game and wish one could still buy the whole thing). Tux does race. I know if accleration isn't there it is quite noticeable. This seemed OK.

Will probably go with the easter preview this weekend though. The whole point of a newer Kanotix was upgradeable-ity (my bughunter or closetoit longs to break free).

tell me, is the preview more up to the challenge of a dist-upgrade? My oldie kanotix I was tempted to see what would be needed just to keep it in security updates as I am happy with it. I did get up to xorg and udev and hal and it purrs along but so many warnings from Kano I haven't tried to go past there Auf den Arm nehmen
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
devil
Titel:   BeitragVerfasst am: 14.06.2006, 05:56 Uhr
Team Member
Team Member


Anmeldung: 06. Mai 2005
Beiträge: 3087
Wohnort: berlin
nish,
with every warning in the news goes a solution.
easter preview can easily be upgraded. but, keep in mind, if you do it, do it on a regular basis, like maybe once a week. this way you dont cumulate problems.
to upgrade a bughunter from scratch would not be easy, because there were e few serious transitions between then and now.
for glxgears you need this parameter since xorg7, because the maintainer wants to get away from glxgears being looked at as a benchmark tool.

greetz
devil

_________________
<<We are Xorg - resistance is futile - you will be axximilated>>

Host/Kernel/OS "devilsbox" running[2.6.19-rc1-git5-kanotix-1KANOTIX-2006-01-RC4 ]
CPU Info AMD Athlon 64 3000+ clocked at [ 803.744 MHz ]
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Beiträge vom vorherigen Thema anzeigen:     
Gehe zu:  
Alle Zeiten sind GMT + 1 Stunde
Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
PNphpBB2 © 2003-2007 
 
Deutsch | English
Logos and trademarks are the property of their respective owners, comments are property of their posters, the rest is © 2004 - 2006 by Jörg Schirottke (Kano).
Consult Impressum and Legal Terms for details. Kanotix is Free Software released under the GNU/GPL license.
This CMS is powered by PostNuke, all themes used at this site are released under the GNU/GPL license. designed and hosted by w3you. Our web server is running on Kanotix64-2006.